% FUNKCIJA NAREDI ANALIZO PREREZOV ZA PREIZKUANCE(natete v  vektorju i) IZ BAZE(struktura)

% na podlagi napetosti v materijalih poie ukrivljenosti pri kritinih
% tokah in naredi bi-linearno idealizacijo zveze M-fi

% rezultate zbere v strukturi "rezultati"

function rezultati=A3analiza_prerezov(i,baza)

for i=i

    
[ num2str(i) '   xxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxxx'] %naredi rto kot znak nove analize

% NAREDI DATOTEKO S VHODNIMI PARAMETRI ZA ANALIZO V OS
objeti_beton(i,baza);

% NAREDI DATOTEKO S PREREZOM ZA ANALIZO V OS
CrossSection(i,baza);
%--------------------------------------------------------------------------

% NAREDI ANALIZO ANALYSIS

!openSees Analiza_prereza.tcl
%--------------------------------------------------------------------------

% UVOZI MOMENTE IN ZASUKE, ORIGINALNO DATOTEKO PA POSPRAVI DRUGO MAPO
[M1,fi]=importfile(['Mfi_1.out']);
movefile('Mfi_1.out',['zrezultat' num2str(i) '.out' ])

% UVOZ REZULTATOV NUMERINE ANALIZE
[SigmaC1,EpsC1]=importfile1(['Concrete1.out']);
[SigmaC2,EpsC2]=importfile1(['Concrete2.out']);
[SigmaC3,EpsC3]=importfile1(['Concrete3.out']);
[SigmaC4,EpsC4]=importfile1(['Concrete4.out']);
[SigmaC5,EpsC5]=importfile1(['Concrete5.out']);
[SigmaC6,EpsC6]=importfile1(['Concrete6.out']);
[SigmaC7,EpsC7]=importfile1(['Concrete7.out']);
[SigmaC8,EpsC8]=importfile1(['Concrete8.out']);
[SigmaC9,EpsC9]=importfile1(['Concrete9.out']);
[SigmaCC,EpsCC]=importfile1(['ConcreteC.out']);
[SigmaS,EpsS]=importfile1(['Steel.out']);
[SigmaS2,EpsS2]=importfile1(['Steel2.out']);

% KREIRANJE STRUKTURE Z ZBRANIMI REZULTATI ANALIZE
rezultati(i).M1=M1;     %moment
rezultati(i).fi=fi;     %ukrivljenost
rezultati(i).SigmaC1=SigmaC1;   %napetosti v jedru od natezne stranice proti tlacni
rezultati(i).SigmaC2=SigmaC2;
rezultati(i).SigmaC3=SigmaC3;
rezultati(i).SigmaC4=SigmaC4;
rezultati(i).SigmaC5=SigmaC5;
rezultati(i).SigmaC6=SigmaC6;
rezultati(i).SigmaC7=SigmaC7;
rezultati(i).SigmaC8=SigmaC8;
rezultati(i).SigmaC9=SigmaC9;
rezultati(i).SigmaCC=SigmaCC;   %napetost v najbolj tlaenem vlaknu krovnega sloja
rezultati(i).SigmaS=SigmaS;     %napetost v tlaeni vzdolni amaturi
rezultati(i).SigmaS2=SigmaS2;   %napetost v netezni vzdolni armaturi
rezultati(i).EpsC1=EpsC1;       %deformacije v jedru od natezne stranice proti tlacni
rezultati(i).EpsC2=EpsC2;
rezultati(i).EpsC3=EpsC3;
rezultati(i).EpsC4=EpsC4;
rezultati(i).EpsC5=EpsC5;
rezultati(i).EpsC6=EpsC6;
rezultati(i).EpsC7=EpsC7;
rezultati(i).EpsC8=EpsC8;
rezultati(i).EpsC9=EpsC9;
rezultati(i).EpsCC=EpsCC;       %deformacija v najbolj tlaenem vlaknu krovnega sloja
rezultati(i).EpsS=EpsS;         %deformacija v tlaeni vzodlni armaturi
rezultati(i).EpsS2=EpsS2;       %deformacija v natezni vzdolni armaturi

% zasuk pri katerem se porui prvo vlakno v krovnem sloju
ind=find(rezultati(i).SigmaCC,1,'last');
FiCC=rezultati(i).fi(ind+1);
MCC=rezultati(i).M1(ind+1);
rezultati(i).FiCC=FiCC;
rezultati(i).MCC=MCC;

% moment in ukrivljenost pri poruitvi betona
ind=find(rezultati(i).SigmaC9,1,'last');
FiMej1=fi(ind+1);
M1Mej1=M1(ind+1);

rezultati(i).FiMej=FiMej1;
rezultati(i).M1Mej=M1Mej1;
 
% zasuk in moemnt pri katerem stee jeklena armatura
ind=find(rezultati(i).EpsS<baza(i).fy/200000,1,'last');
FiY1=fi(ind+1);
M1Y1=M1(ind+1);
rezultati(i).FiY1=FiY1;
rezultati(i).M1Y1=M1Y1;

% poie idealizirano krivuljo
[FiY,FiMej,MY]=idealizacija3_s80P(i,rezultati,baza);
rezultati(i).FiY=FiY;
rezultati(i).FiMej=FiMej;
rezultati(i).MY=MY;
end