function ThetaBerry=A7BerryInEberhard(i,baza)


kebb=40;                 %koeficient stremenske armature
Nv=baza(i).Nv;          %number of transverse bars
fisw=baza(i).fisw;      %bar diameter of transverse reinforcement
Asx=Nv*pi*fisw^2/4 ;     %area of transverse reinforcement
s=baza(i).s;            %distance between traverse hoops
b=baza(i).b;            %column widht
ros=Asx/(b*s);           %volumetric transverse reinforcement ratio
fys=baza(i).fyw ;       %yield stress of transverse reinforcement
fc=baza(i).fc  ;        %compressive stength of concrete
roeff=ros*fys/fc;        %effective confinment ratio
db=baza(i).fiv ;        %bar diameter of longitudinal reinforcement
P=cell2mat(baza(i).P);  %column axial load
D=baza(i).h  ;          %column debth
Ag=b*D  ;                %gross area of column cros section
L=baza(i).L  ;          %distance from column base to the poubt of contraflecture


ThetaBerry=(3.25*(1+kebb*roeff*db/D)*(1-P/(Ag*fc*0.001))*(1+L/(10*D)))/100;
