% FUNKCIJA IZRAUNA MEJNE POMIKE PO SEMIEPIRINEM POSTOPKU NA PODLAGI
% ANALITINO PRIDOBLJENIH UKRIVLJENOSTI

% prikae e raztstros odvisnosti napoved(analitino pridobljeni
% rezulatati)

function [Lpl,ThetaYSemi,ThetaUSemi]=A5SemiEmprMejZasuk(l,BazaParametrov,Rezultati)

for i=l

%podatki:
L=BazaParametrov(i).L/10;       %[cm]
dbL=BazaParametrov(i).fiv/10;   %[cm]
fy=BazaParametrov(i).fy;        %[MPa]
fc=BazaParametrov(i).fc;        %[MPa]
h=BazaParametrov(i).h;          %[cm]
FiMej=Rezultati(i).FiMej;       
FiY=Rezultati(i).FiY;           


% Dolzina plasticnega clenka [cm]
Lpl=(0.1*L+0.015*dbL*fy);
%Lpl=0.1*L+0.17*h+0.24*dbL*fy/(fc)^0.5;

% zasuk na meji teenja elementa po semiempirinem postopku
ThetaYSemi(i)=L/3*FiY;

% mejni zasuk elementa izraunan po semiempirinem postopku
ThetaUSemi(i)=L/3*FiY+(FiMej-FiY)*Lpl*(1-Lpl/(2*L));
end

j=1;
razmerje=0;
for i=l

mejniSemi(j)=ThetaUSemi(i);
mejniIzmejeni(j)=BazaParametrov(i).ThetaU;

j=j+1;
end


Ocena_metode(mejniIzmejeni,mejniSemi,'\Theta_u(Semi-emperino)','\Theta_u(izmerjeno)')
